import { Role } from '../../domain/ad.types';
import { Point } from '../../domain/value-objects/point.value-object';

export enum AlgorithmType {
  PASSENGER_ORIENTED = 'PASSENGER_ORIENTED',
}

/**
 * A candidate is a potential match
 */
export type Candidate = {
  ad: Ad;
  role: Role;
  driverWaypoints: Point[];
  crewWaypoints: Point[];
};

export type Ad = {
  id: string;
};
