import { Route } from '@modules/geography/core/domain/route.types';
import { Point } from '../types/point.type';

export interface RouteProviderPort {
  /**
   * Get a basic route with points and overall duration / distance
   */
  getBasic(waypoints: Point[]): Promise<Route>;
}
